<?php

function maketime($string) {
if($string < 3600){
$string = sprintf("%02d:%02d", (int)($string / 60) % 60, $string % 60);
}else{
$string = sprintf("%02d:%02d:%02d", (int)($string / 3600) % 24, (int)($string / 60) % 60, $string % 60);
};
return $string;
};
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Бизнес'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<center><div class='bdeg1'><img src='160_smuggling.jpg' /></div></center><dl class='mai2n'><link rel='stylesheet' href='style.css' type='text/css' />";

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));
if(isset($user)){
if($gconf[0]['open']!=1){
$action=htmlspecialchars(trim($_GET['action']));
switch ($action){
default:
$x=mysql_query("SELECT * FROM `gorod_firm` WHERE `user`='".$user['nick']."' LIMIT 1");
if(!mysql_num_rows($x)){echo 'У вас нет фирмы! <dl class="mai2n">
<dt></dt>
<b><a href="firma.php?action=reg"><dt><img src="skr/011.png" />Открыть бизнес!</dt></a></b>
</TABLE></div>';break;};
$x=mysql_fetch_assoc($x);

if($x['update']<time()){
mysql_query("UPDATE `gorod_firm` SET `pritok`=`pritok`+'".$x['dohod']."',`update`='".(time()+80000)."' WHERE `user`='".$user['nick']."'");
};

echo 'Название: <font color="red">'.$x['name'].'</font><br/>';
echo 'Описание: <font color="red">'.$x['opis'].'</font><br/>';
echo 'Дата регистрации:<font color="red"> '.date("H:i:s, d-m-Y",$x['date']).'</font><br/>';
if ($x['balans']!=0) {
echo"Бизнес баланс: ".$x['balans']."<br/>";
}else{
echo '<font color="red">Бизнес не приносит доход!</font><br/>';
};

if($x['pritok']!=0){
echo 'На счету: '.$x['pritok'].'<br/>';
};

if ($x['dohod']!=0) {
echo 'Доход: '.$x['dohod'].'<br/>';
}else{
echo '<font color="red">Нет доходов!<br/></font>';
};

if (time()>=$x['lasttake'] && $x['pritok']!=0){
echo '<dl class="mai2n">
<dt></dt>
<b><a href="firma.php?action=dengi"><dt><img src="skr/011.png" />Забрать выручку</dt></a></b>
</TABLE></div>';
}else{
if($x['pritok']!=0){
echo 'Сможешь забрать выручку через <font color="red">'.maketime($x['lasttake']-time()).'</font><br/>';
}
}

echo 'В игре: <font color="red">'.$user['gorod_money'].' зелени</font>';
echo '<form action="firma.php?action=balans" method="post">';
echo '<br/>Сyмма:<br/>';
echo '<input title="Bвeди cyммy:" size="20" maxlength="30" name="dol"/><br/>';
echo '<select name="oper">';
echo '<option value="1">Пoлoжить</option>';
echo '<option value="2">Bзять</option>';
echo '</select><br/>';
echo '<input type="submit" value="Выполнить"/></form>';

echo '<dl class="mai2n">
<dt></dt>
<b><a href="firma.php?action=faq"><dt><img src="skr/011.png" />Справка</dt></a></b>
</TABLE></div>';

if($x['balans']>=50000 && $x['birga']!='yes'){
echo'<dl class="mai2n">
<dt></dt>
<b><a href="firma.php?action=emis"><dt><img src="skr/011.png" />Выпустить акции</dt></a></b>
</TABLE></div>';
}
break;


case 'reg':
if(!empty($user['gorod_firm'])){echo 'У вас уже есть бизнес!';break;};
echo '<form action="firma.php?action=save" method="post">';
echo 'Название:<br/>';
echo '<input name="name" type="text" value=""/><br/>';
echo 'Описание:<br/>';
echo '<textarea name="opis"></textarea><br/>';
echo '<input type="submit" value="Создать"/>';
echo '</form>';
break;


case 'save':
if(!empty($user['gorod_firm'])){echo 'У вас уже есть бизнес!';break;};
$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));
$opis=htmlspecialchars(mysql_real_escape_string(trim($_POST['opis'])));
if(!$name || !$opis){echo 'Ошибка!';break;};
mysql_query("INSERT INTO `gorod_firm` (`name`,`opis`,`user`,`date`)VALUES('$name','$opis','".$user['nick']."','".time()."')");
mysql_query("UPDATE `user` SET `gorod_firm`='$name' WHERE `id`='".$user['id']."'");
echo 'Бизнес создан!<br/>';
echo '<dl class="mai2n">
<dt></dt>
<b><a href="firma.php"><dt><img src="skr/011.png" />В бизнес</dt></a></b>
</TABLE></div>';
break;


case 'faq':
echo'Справка:<br/>
Бизнес нужен для того, чтобы он приносил постоянный доход.
Бизнес будет работать, если хозяин фирмы будет вкладывать
средства в свой бизнес.
Если расход бизнеса больше, чем доход, то такой бизнес становится убыточным и не приносит прибыли.
Это вас ожидает на начальном этапе, при открытии фирмы. Ваше Бизнес не будет приносить доход, пока на балансе не будет достаточно средств.
Выручку фирмы вы можете забирать каждый день.
Если вас устраивает доход, который приносит бизнес, то
можно перестать ложить деньги на счёт и он перейдёт на
самобаланс, а вы будете просто каждый день забирать доход с кассы.
В случае пополнения баланса бизнеса доход постоянно меняется!
и чем больше вы вкладываете в бизнес, тем больше будет сумма дохода.
Для раскрутки бизнеса нужно более 10000 зеленых. Если вы не располагаете такими средствами, то можете постепенно вкладывать их в свой бизнес. Успехов в
частном бизнесе!<br/> Также при достижении определенного
баланса ваши акции могут играть на бирже';
echo'<dl class="mai2n">
<dt></dt>
<b><a href="firma.php"><dt><img src="skr/011.png" />Назад</dt></a></b>
</TABLE></div>';
break;


case 'balans':
if(!$user['gorod_firm']){echo 'У вас нет бизнеса!';break;};
$dol=(int)$_POST['dol'];
$oper=(int)$_POST['oper'];
if(!$dol || $dol<0 || !$oper || $oper<1 || $oper>2){echo 'Ошибка!';break;};

$x=mysql_query("SELECT * FROM `gorod_firm` WHERE `name`='".$user['gorod_firm']."' AND `user`='".$user['nick']."'");
if(!mysql_num_rows($x)){echo 'Ошибка';break;};
$x=mysql_fetch_assoc($x);

if ($oper=="1"){
if ($user['gorod_money']>$dol){
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$dol' WHERE `id`='".$user['id']."'");

$newbalans=$x['balans']+$dol;
$c=round($newbalans/2);
$pribil=rand(10,$newbalans-$с);
if ($pribil<0){$pribil=0;}
mysql_query("UPDATE `gorod_firm` SET `balans`='$newbalans',`dohod`='$pribil' WHERE `name`='".$user['gorod_firm']."' AND `user`='".$user['nick']."'");

echo 'Деньги положены!<dl class="mai2n">
<dt></dt>
<b><a href="firma.php"><dt><img src="skr/011.png" />Назад</dt></a></b>
</TABLE></div>';
}else{
echo'У вас не хватает зелени!<dl class="mai2n">
<dt></dt>
<b><a href="firma.php"><dt><img src="skr/011.png" />Назад</dt></a></b>
</TABLE></div>';};
};


if ($oper=="2"){
if ($x['balans']>$dol){
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'$dol' WHERE `id`='".$user['id']."'");
$newbalans=$x['balans']-$dol;
$c=round($newbalans/2);
$pribil=rand(10,$newbalans-$с);
if ($pribil<0){$pribil=0;}
mysql_query("UPDATE `gorod_firm` SET `balans`='$newbalans',`dohod`='$pribil',`lasttake`='".(time()+80000)."' WHERE `name`='".$user['gorod_firm']."' AND `user`='".$user['nick']."'");

echo 'Вы забрали деньги!<dl class="mai2n">
<dt></dt>
<b><a href="firma.php"><dt><img src="skr/011.png" />Назад</dt></a></b>
</TABLE></div>';
}else{
echo'Ваша бизнес не так успешен, как вам хотелось бы!<dl class="mai2n">
<dt></dt>
<b>
<a href="firma.php?"><dt><img src="skr/011.png" />Назад</dt></a></b>
</TABLE></div>';};
};
break;




case 'emis':
if(!$user['gorod_firm']){echo 'У вас нет бизнеса!';break;};
$x=mysql_query("SELECT * FROM `gorod_firm` WHERE `name`='".$user['gorod_firm']."' AND `user`='".$user['nick']."'");
if(!mysql_num_rows($x)){echo 'Ошибка';break;};
$x=mysql_fetch_assoc($x);
if($x['birga']=='yes'){echo 'Ваши акции продаются!';break;};
$zact=round($x['balans']/100);
$zact2=$zact*49;
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'$zact2' WHERE `id`='".$user['id']."'");
mysql_query("UPDATE `gorod_firm` SET `birga`='yes' WHERE `user`='".$user['nick']."'");
echo'Ваш бизнес стал акционерным обществом. 51% акций остается у вас,49% продано на биржу по цене '.$zact.' зелени.<br/>';
break;



case 'dengi':
if(!$user['gorod_firm']){echo 'У вас нет бизнеса!';break;};
$x=mysql_query("SELECT * FROM `gorod_firm` WHERE `name`='".$user['gorod_firm']."' AND `user`='".$user['nick']."'");
if(!mysql_num_rows($x)){echo 'Ошибка';break;};
$x=mysql_fetch_assoc($x);

echo'Касса<br/><br/>';

if (time()>=$x['lasttake']){
echo'Ежедневный отчёт:<br/>';
$zp=rand(0,$x['pritok']/2);
$zp2=rand(0,$zp);
$zp3=rand(0,$zp2);
$zp4=rand(0,$zp3);
$pritog=round($x['pritok']-$zp);

if($x['birga']=='yes'){
$pritog=round($pritog/2);
echo 'Дивиденды по акциям переведены!<br/>';};

echo 'Вы забрали из кассы <font color="red">'.$pritog.'</font> зелени.<br/>
'.$zp.' зелени ушло на содержание.<br/>Из них:<br/>
'.$zp2.'-зарплата<br/>
'.$zp3.'-налоги<br/>
'.$zp4.'-закупка товара<br/><br/>';
mysql_query("UPDATE `gorod_firm` SET `pritok`='0',`lasttake`='".(time()+80000)."' WHERE `user`='".$user['nick']."'");
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'$pritog' WHERE `id`='".$user['id']."'");

}else{
echo'Взять выручку вы сможете только через '.maketime($x['lasttake']-time()).' работы.<br/>';};
echo'<dl class="mai2n">
<dt></dt>
<b><a href="firma.php"><dt><img src="skr/011.png" />Назад</dt></a></b>
</TABLE></div>';
break;





};


echo '<div class="msg"><a href="index.php">В игру</a></div></div>';
}else{echo '<div class="msg">Игра закрыта администратором!</div>';};

}else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>